branch.hh File Reference
`#include <gecode/float.hh>`
`#include <gecode/float/branch/merit.hpp>`
`#include <gecode/float/branch/val-sel.hpp>`
`#include <gecode/float/branch/val-commit.hpp>`

Go to the source code of this file.

## Classes

class | Gecode::Float::Branch::MeritMin
| Merit class for mimimum. More...
class | Gecode::Float::Branch::MeritMax
| Merit class for maximum of float view. More...
class | Gecode::Float::Branch::MeritSize
| Merit class for size of float view. More...
class | Gecode::Float::Branch::MeritDegreeSize
| Merit class for degree over size. More...
class | Gecode::Float::Branch::MeritAFCSize
| Merit class for AFC over size. More...
class | Gecode::Float::Branch::MeritActionSize
| Merit class for action over size. More...
class | Gecode::Float::Branch::MeritCHBSize
| Merit class for CHB Q-score over size. More...
class | Gecode::Float::Branch::ValSelLq
| Value selection class for values smaller than median of view. More...
class | Gecode::Float::Branch::ValSelGq
| Value selection class for values smaller than median of view. More...
class | Gecode::Float::Branch::ValSelRnd
| Value selection class for random value of view. More...
class | Gecode::Float::Branch::ValCommitLqGq
| Value commit class for less or equal or greater or equal. More...

## Namespaces

namespace | Gecode::Float::Branch
| Float branchers.
namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Float
| Floating point numbers.

## Functions

ViewSel< FloatView > * | Gecode::Float::Branch::viewsel (Space &home, const FloatVarBranch &fvb)
| Return view selectors for float views.
ValSelCommitBase< FloatView, FloatNumBranch > * | Gecode::Float::Branch::valselcommit (Space &home, const FloatValBranch &svb)
| Return value and commit for float views.
ValSelCommitBase< FloatView, FloatNumBranch > * | Gecode::Float::Branch::valselcommit (Space &home, const FloatAssign &ia)
| Return value and commit for float views.